'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-59856a1d.js');
const component = require('./component-8f3eba1b.js');
require('./component-e909c8a8.js');
require('./util-17950cb1.js');

let LpCheckbox = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Whether checkbox is indeterminate or not.
     */
    this.indeterminate = false;
    /**
     * Whether checkbox is checked or not.
     */
    this.checked = false;
    /**
     * Whether checkbox is disabled or not.
     */
    this.disabled = false;
    this.syncInternalCheckboxState = () => {
      this.checkbox.value = this.value;
      this.checkbox.indeterminate = this.indeterminate;
      this.checkbox.checked = this.checked;
      this.checkbox.disabled = this.disabled;
    };
    this.initiateCheckbox = () => {
      this.checkbox = new component.MDCCheckbox(this.hostElement.querySelector('.mdc-checkbox'));
      if (!this.checkbox) {
        throw new Error('Unable to initiate MDCCheckbox component. Be sure it is mounted into the DOM.');
      }
      this.syncInternalCheckboxState();
    };
  }
  componentDidLoad() {
    this.initiateCheckbox();
  }
  componentWillUpdate() {
    this.syncInternalCheckboxState();
  }
  render() {
    return (index.h("div", { class: "mdc-checkbox" }, index.h("input", { type: "checkbox", id: this.inputId, class: "mdc-checkbox__native-control", "aria-label": this.ariaLabel }), index.h("div", { class: "mdc-checkbox__background" }, index.h("svg", { class: "mdc-checkbox__checkmark", viewBox: "0 0 24 24" }, index.h("path", { class: "mdc-checkbox__checkmark-path", fill: "none", d: "M1.73,12.91 8.1,19.28 22.79,4.59" })), index.h("div", { class: "mdc-checkbox__mixedmark" })), index.h("div", { class: "mdc-checkbox__ripple" })));
  }
  get hostElement() { return index.getElement(this); }
};

exports.lp_checkbox = LpCheckbox;
